<?php

/*

 Website Baker Project <http://www.websitebaker.org/>
 Copyright (C) 2004-2006, Ryan Djurovich

 Website Baker is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Website Baker is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Website Baker; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

?>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//<?php echo LANGUAGE; ?>" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo LANGUAGE; ?>">

<head>
  <title><?php page_title(); ?></title>
  <meta http-equiv="Content-Type" content="text/html; charset=<?php if(defined('DEFAULT_CHARSET')) { echo     DEFAULT_CHARSET; } else { echo 'utf-8'; }?>" />
  <meta name="description" content="<?php page_description(); ?>" />
  <meta name="keywords" content="<?php page_keywords(); ?>" />

  <!-- **** layout stylesheet **** -->
  <link rel="stylesheet" type="text/css" href="<?php echo TEMPLATE_DIR; ?>/style.css" />

  <!-- **** colour scheme stylesheet **** -->
  <link rel="stylesheet" type="text/css" href="<?php echo TEMPLATE_DIR; ?>/colour.css" />

</head>

<body>
  <div id="main">

    <div id="links">
      <!-- **** INSERT LINKS HERE **** -->
      <?php show_menu2(2, SM2_ROOT, SM2_START, SM2_ALL, '<span>| [a][menu_title]</a>', ' |</span>', '', '');?>
    </div>
    <div id="logo"><h1><?php page_title('', '[WEBSITE_TITLE]'); ?></h1></div>
    <div id="content">
      <div id="menu">
        <?php show_menu2(1,SM2_ROOT, SM2_START) ?>
      </div>
      <div id="column1">
        <div class="sidebaritem">
            <div class="sbicontent">
        <?php if(SHOW_SEARCH) { /* Only show search box if search is enabled */ ?>
        <form name="search" action="<?php echo WB_URL; ?>/search/index<?php echo PAGE_EXTENSION; ?>" method="post">
            <input type="text" name="string" style="width: 100px;" />
            <input type="submit" name="submit" value="Search" style="width: 80px;" />
        </form>
        <?php } ?>
            </div>
        </div>

        <!-- **** ONLY SHOW SUBMENU WHEN THERE IS ONE **** -->
        <?php ob_start();
        show_menu2(1, SM2_ROOT+1, SM2_START);
        $childmenu=ob_get_contents();
        ob_end_clean();
        if ($childmenu!="") {?>
        <div class="sidebaritem">
          <div class="sbihead">
            <h1>Submenu</h1>
          </div>
          <div class="sbilinks">
            <?php echo $childmenu; ?>
          </div>
        </div>
        <?php } ?>

        <div class="sidebaritem">
          <div class="sbihead">
            <h1>latest news</h1>
          </div>
          <div class="sbicontent">
            <!-- **** INSERT NEWS ITEMS HERE **** -->
            <h2>01.09.2006</h2>
            <p>This is where you can put your latest news.</p>
            <p><a href="#">read more ...</a></p>
            <p></p>
            <p></p>
            <h2>01.09.2006</h2>
            <p>This is where you can put your latest news.</p>
            <p><a href="#">read more ...</a></p>
          </div>
        </div>

        <?php if(FRONTEND_LOGIN AND !$wb->is_authenticated()) {?>
            <div class="sidebaritem">
                <div class="sbihead">
                    <h1><?php echo $TEXT['LOGIN']; ?></h1>
                </div>
                <div class="sbicontent">
                    <form name="login" action="<?php echo LOGIN_URL; ?>" method="post" class="login_table">
                        <?php echo $TEXT['USERNAME']; ?>:
                        <input type="text" name="username" style="text-transform: lowercase;" />
                        <?php echo $TEXT['PASSWORD']; ?>:
                        <input type="password" name="password" />
                        <input type="submit" name="submit" value="<?php echo $TEXT['LOGIN']; ?>" style="margin-top: 3px; text-transform: uppercase;" />
                        <a href="<?php echo FORGOT_URL; ?>"><?php echo $TEXT['FORGOT_DETAILS']; ?></a>
                        <?php if(is_numeric(FRONTEND_SIGNUP)) { ?>
                            <a href="<?php echo SIGNUP_URL; ?>"><?php echo $TEXT['SIGNUP']; ?></a>
                        <?php } ?>
                    </form>
                </div>
            </div>
        <?php } elseif(FRONTEND_LOGIN AND $wb->is_authenticated()) {?>
            <div class="sidebaritem">
                <div class="sbihead">
                    <h1><?php echo $TEXT['LOGIN']; ?></h1>
                </div>
                <div class="sbicontent">
                    <form name="logout" action="<?php echo LOGOUT_URL; ?>" method="post" class="login_table">
                        <h2><?php echo $TEXT['LOGGED_IN']; ?></h2>
                        <?php echo $TEXT['WELCOME_BACK']; ?>, <?php echo $wb->get_display_name(); ?>
                        <br />
                        <input type="submit" name="submit" value="<?php echo $MENU['LOGOUT']; ?>" />
                        <br />
                        <a href="<?php echo PREFERENCES_URL; ?>"><?php echo $MENU['PREFERENCES']; ?></a>
                        <a href="<?php echo ADMIN_URL; ?>/index.php"><?php echo $TEXT['ADMINISTRATION']; ?></a>
                    </form>
                </div>
            </div>
        <?php } ?>


        <div class="sidebaritem">
          <div class="sbihead">
            <h1>other information</h1>
          </div>
          <div class="sbicontent">
            <!-- **** INSERT OTHER INFORMATION HERE **** -->
            <p>
              This space can be used for additional information such as a contact phone number, address
              or maybe even a graphic.
            </p>
          </div>
        </div>
      </div>
      <div id="column2">
        <h1><?php page_title('','[PAGE_TITLE]'); ?></h1>
        <!-- **** INSERT PAGE CONTENT HERE **** -->
        <?php page_content(); ?>
      </div>
    </div>
    <div id="footer">
        Powered by <a href="http://www.websitebaker.org">Website baker</a><br/>
      copyright &copy; 2006 your name | <a href="#">email@emailaddress</a> | <a href="http://validator.w3.org/check?uri=referer">XHTML 1.1 transitional</a> | <a href="http://jigsaw.w3.org/css-validator/check/referer">CSS</a> | <a href="http://www.dcarter.co.uk">design by dcarter</a>
    </div>
  </div>
</body>
</html>
